# Uses of Interface
org.picocontainer.behaviors.Intercepted.Controller

Packages that use Intercepted.Controller
Package
Description
org.picocontainer.behaviors
BehaviorFactories make Behaviors which change aspects of component implementations and instances

## Uses of Intercepted.Controller in org.picocontainer.behaviors

Classes in org.picocontainer.behaviors that implement Intercepted.Controller
Modifier and Type
Class
Description
`static class`
`Intercepted.ControllerImpl`
`class`
`Intercepted.ControllerWrapper`
Methods in org.picocontainer.behaviors that return Intercepted.Controller
Modifier and Type
Method
Description
`Intercepted.Controller`
Intercepted.`getController()`
Constructor parameters in org.picocontainer.behaviors with type arguments of type Intercepted.Controller
Modifier
Constructor
Description
``
`ControllerWrapper(ThreadLocal<Intercepted.Controller> threadLocal)`